commit ac90403ec10d2607336373d7c6a177a7f17e7144
Author: jklowden <jklowden>
Date:   Wed Jul 23 20:11:33 2008 +0000

    simplify log message

diff --git a/src/odbc/error.c b/src/odbc/error.c
index 2d63dc5..903ae56 100644
--- a/src/odbc/error.c
+++ b/src/odbc/error.c
@@ -44,7 +44,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: error.c,v 1.53 2008/07/23 20:07:18 jklowden Exp $");
+TDS_RCSID(var, "$Id: error.c,v 1.54 2008/07/23 20:11:33 jklowden Exp $");
 
 static void odbc_errs_pop(struct _sql_errors *errs);
 static const char *odbc_get_msg(const char *sqlstate);
@@ -554,11 +554,11 @@ _SQLGetDiagRec(SQLSMALLINT handleType, SQLHANDLE handle, SQLSMALLINT numRecord,
 
 	msg = errs->errs[numRecord].msg;
 
+	tdsdump_log(TDS_DBG_FUNC, "_SQLError: \"%s\"\n", msg);
+
 	if (asprintf(&p, "%s%s", msgprefix, msg) < 0)
 		return SQL_ERROR;
 
-	tdsdump_log(TDS_DBG_FUNC, "_SQLError: \"%s\"\n", p);
-
 	result = odbc_set_string(szErrorMsg, cbErrorMsgMax, pcbErrorMsg, p, -1);
 	free(p);
 

